Bug Hunting Session
Bug 104259 - FONTS: Dutch 801 SWA isn't rendered correctly causing text alignment issues
Summary: FONTS: Dutch 801 SWA isn't rendered correctly causing text alignment issues
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2016-11-29 15:32 UTC by Telesto
Modified: 2018-05-30 16:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample File (14.24 KB, application/vnd.openxmlformats-officedocument.wordprocessingml)
2016-11-29 15:33 UTC, Telesto
Details
Comparison Word Viewer and LO (30.30 KB, application/pdf)
2016-11-29 15:36 UTC, Telesto
Details
View in LO 5.3.0.0.alpha1 (12.09 KB, image/png)
2016-12-01 00:48 UTC, Jacques Guilleron
Details
screenshot in 5.4.0 alpha: font issue (185.22 KB, image/jpeg)
2016-12-01 11:06 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-11-29 15:32:05 UTC
Description:
The text alignment is off

Steps to Reproduce:
1.Open example file

Actual Results:  
As shown in attached screenshot

Expected Results:
As in Word Viewer (attached)


Reproducible: Always

User Profile Reset: YES

Additional Info:
Found in:
Version: 5.4.0.0.alpha0+ (x64)
Build ID: 7aa2b5a041df8e71a435cccbc79ee13799ec9138
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-11-24_11:40:27
Locale: nl-NL (nl_NL); Calc: CL

and in:

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-11-29 15:33:20 UTC
Created attachment 129126 [details]
Sample File
Comment 2 Telesto 2016-11-29 15:36:05 UTC
Created attachment 129127 [details]
Comparison Word Viewer and LO
Comment 3 tommy27 2016-11-30 04:48:30 UTC
I confirm bug under Win8.1 x64 using LibO 5.2.3.3

but I can tell you that bug is fixed in LibO 5.3.0.0.alpha1+
Build ID: 8d613870b2cd2e3e4396b4fa97dbd8080fda8f52
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-18_22:58:29
Locale: it-IT (it_IT); Calc: group

so RESOLVED WORKSFORME since the issue is gone in forthcoming 5.3.x branch.
thanks for your bug report.
Comment 4 Telesto 2016-11-30 11:24:24 UTC
It seems to me this bug isn't fixed yet. I found it in:

Version: 5.4.0.0.alpha0+
Build ID: 4130c8def811d1dcc87eacaa8ae48ba02738a790
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-11-29_01:03:18
Locale: nl-NL (nl_NL); Calc: CL

Versie: 5.3.0.0.beta1  (x64)
Build ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU Threads: 4; Versie besturingssysteem:Windows 6.19; UI Render: GL; Layout Engine: new; 
Locale: nl-NL (nl_NL); Calc: CL

Version: 5.3.0.0.alpha1+ (x64)
Build ID: 964f4ca95baf34d21002312003453cd0e72f5832
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-11-18_05:19:44
Locale: nl-NL (nl_NL); Calc: CL
Comment 5 tommy27 2016-11-30 12:27:41 UTC
strange... I'm gonna retest later  with a newer 5.3.x build.

would you please tell me which Window version do you exactly use?
Comment 6 Telesto 2016-11-30 14:06:26 UTC
Windows NT 6.2 Build 9200
Comment 7 Jacques Guilleron 2016-12-01 00:43:37 UTC
Hi Telesto, Tommy,

I don't reproduce with
LO 5.1.0.3 (x64) Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale : fr-FR (fr_FR)
nor with
LO 5.3.0.0.alpha1 Build ID: f4ca1573fcf445164c068c1046ab5d084e1b005f
Threads CPU : 2; Version de l'OS :Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
under Windows 7 Home.

Regards,

Jacques
Comment 8 Jacques Guilleron 2016-12-01 00:48:27 UTC
Created attachment 129175 [details]
View in LO 5.3.0.0.alpha1
Comment 9 tommy27 2016-12-01 10:03:03 UTC
aligment is correct too using LibO 5.4.0.0.alpha0+ (x64)
Build ID: 7aa2b5a041df8e71a435cccbc79ee13799ec9138
CPU Threads: 8; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-11-24_11:40:27
Locale: it-IT (it_IT); Calc: CL

maybe a WinNT specific bug? 

I remember someone telling me that WinNT means Windows Neanderthal... 
just kidding... :-)

@Telesto
do you have the chance to test on another computer with a different Windows version?
Comment 10 Telesto 2016-12-01 10:34:49 UTC
I have clue what the cause could be. I retested it on WinXP. Same issue:
Version: 5.3.0.0.alpha1+
Build ID: 43b5ca69aa545cf93eded55258d92d651917815f
CPU Threads: 1; OS Version: Windows 5.1; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-11-18_05:27:05
Locale: nl-NL (nl_NL); Calc: group

On MacOS it's working fine with a recent Master and LibO 5.2.3.3.

Maybe we should get some more conformation with LibO 5.2.3.3 (on Windows)?
Comment 11 tommy27 2016-12-01 10:54:06 UTC
no misalignment using LibO 5.2.3.3 under Win7 x64
I notice however that the font of the right side is rendered differently than on your screenshots
Comment 12 tommy27 2016-12-01 11:06:53 UTC
Created attachment 129181 [details]
screenshot in 5.4.0 alpha: font issue

here's a screenshot from 5.4.0.0 alpha (but in 5.2.3.3 is the same) under Win7 x64
Comment 13 Telesto 2016-12-01 12:55:10 UTC
@tommy27
You're right. The seems to be font related. When I replace "Dutch 801 SWA" with "Segoe UI Symbol" the spacing problem is solved.

Rendering of "Harlow Solid Italic" is also different, but isn't the cause of the issue; I think.
Comment 14 tommy27 2016-12-03 07:01:05 UTC
back on testing on Win8.1 x64
I confirm the bug alignment bug was present as said in comment 3
I had no Dutch 801 SWA Font

now I installed Dutch 801 SWA Font (all 4 variants) from http://www.fontpalace.com and the alignment bug is gone.

however I still see that instead of a Dutch 801 SWA Font, an Harlow Solid Italic Font is used in that file.

compare the different font look in your screenshot, in the screenshot from Jacques and mine.
Comment 15 Xisco Faulí 2017-10-18 12:22:33 UTC
Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.
Comment 16 QA Administrators 2018-05-02 15:46:58 UTC Comment hidden (obsolete)
Comment 17 QA Administrators 2018-05-30 16:47:45 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180530